=== modified file 'NEWS'
--- NEWS	2007-04-20 06:50:59 +0000
+++ NEWS	2007-04-21 11:31:13 +0000
@@ -41,8 +41,9 @@
       bzrlib/transport/remote.py contains just the Transport classes that used
       to be in bzrlib/transport/smart.py.  (Andrew Bennetts)
 
-    * urllib http implementation avoid roundtrips associated with 401 errors
-      once the the authentication succeeds. (Vincent Ladeuil).
+    * urllib http implementation avoid roundtrips associated with
+      401 (and 407) errors once the the authentication succeeds.
+      (Vincent Ladeuil).
 
     * urlib http now supports querying the user for a proxy password if
       needed. Realm is shown in the prompt for both HTTP and proxy
@@ -121,6 +122,10 @@
       access.
       (Robert Collins, Andrew Bennetts)
 
+    * Refactored proxy and authentication handling to simplify the
+      implementation of new auth schemes for both http and proxy.
+      (vincent Ladeuil)
+
 
 bzr 0.15 2007-04-01
 

=== modified file 'bzrlib/tests/HTTPTestUtil.py'
--- bzrlib/tests/HTTPTestUtil.py	2007-04-21 09:26:30 +0000
+++ bzrlib/tests/HTTPTestUtil.py	2007-04-21 11:31:13 +0000
@@ -303,9 +303,9 @@
     """
 
     # The following attributes should be defined in the server
-    # - _auth_header_sent: the header name sent to require auth
-    # - _auth_header_recv: the header received containing auth
-    # - _auth_error_code: the error code to indicate auth required
+    # - auth_header_sent: the header name sent to require auth
+    # - auth_header_recv: the header received containing auth
+    # - auth_error_code: the error code to indicate auth required
 
     def do_GET(self):
         if self.authorized():

=== modified file 'bzrlib/tests/HttpServer.py'
--- bzrlib/tests/HttpServer.py	2007-04-21 09:26:30 +0000
+++ bzrlib/tests/HttpServer.py	2007-04-21 11:31:13 +0000
@@ -42,6 +42,11 @@
 
 
 class TestingHTTPRequestHandler(SimpleHTTPRequestHandler):
+    """Handles one request.
+
+    A TestingHTTPRequestHandler is instantiated for every request
+    recevied by the associated server.
+    """
 
     def log_message(self, format, *args):
         tcs = self.server.test_case_server

